Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22647

Description

When calling an action from the context menu (right click) on an attribute window, the value obtained from a field name does not show.

Python action example:

print "Value of myattribute: {}".format('[% "myattribute" %]')

only prints "Value of myattribute:" not adding the actually value.

The same action used from the Action map tool button writes out the field value also as expected.

Tested on Windows 7 OSGEO4W QGIS version 2.14.1 and QGIS master.

History

#1 - 2016-04-14 03:28 AM - Giovanni Manghi

- Category set to Actions

#2 - 2016-05-27 03:09 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce on master - can you confirm this bug is still present?

#3 - 2016-05-27 04:17 AM - Jakob Lanstorp

Did a test agains OSGEO4W QGIS 2.14.2 where the error is present. Did also a test against QGIS master of today (QGIS code revision: ed1235d) where

the error is no more present.

So I quess the issue can be closed now.

#4 - 2016-05-27 05:41 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

#5 - 2016-05-27 05:42 AM - Nyall Dawson

I believe this should also already be fixed in 2.14.3
